##
##  cryptopp.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_base 8.9.0
%define       V_dist 890

#   package information
Name:         cryptopp
Summary:      Cryptography Library
URL:          http://cryptopp.com/
Vendor:       Wei Dai
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Cryptography
License:      Boost License
Version:      %{V_base}
Release:      20231002

#   list of sources
Source0:      https://www.cryptopp.com/cryptopp%{V_dist}.zip

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, gcc::with_cxx = yes, make
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Crypto++ Library is a free C++ class library of cryptographic
    schemes.

%track
    prog cryptopp = {
        version   = %{V_dist}
        url       = https://www.cryptopp.com/
        regex     = cryptopp(\d+)\.zip
    }

%prep
    %setup -q -c

%build
    %{l_make} %{l_mflags -O} \
        CXX="%{l_cxx}" \
        CXXFLAGS="%{l_cxxflags -O}"

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{l_prefix}
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/cryptopp
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

